import { createApp } from 'vue'
import App from './index.vue'
import router from '@/router'
import "@/assets/css/reset.css";
import "@/assets/css/public.css";
import uaParserClass from "@/libs/ua-parser.min.js";
import infiniteScroll from 'vue3-infinite-scroll-good'
import {VueMasonryPlugin} from 'vue-masonry';

let uaParser = new uaParserClass();
let uaInfo = uaParser.getResult()
// if (globalUaInfo.browser && globalUaInfo.browser.name) {
//   if (globalUaInfo.browser.name === 'Chrome' && globalUaInfo.browser.major && Number(globalUaInfo.browser.major) < 46) {
//     doBrowserTip()
import Components from "@/components/UI";

console.log('v20221017.1716');

let app = createApp(App)
app.use(Components).use(infiniteScroll).use(VueMasonryPlugin).use(router).mount('#app')
app.config.globalProperties.$uaInfo = uaInfo